Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ejb.bmp
Class BMPLocalWrapperPolicy

`java.lang.Object
oracle.toplink.ejb.EJBWrapperPolicy
oracle.toplink.ejb.bmp.BMPWrapperPolicy
oracle.toplink.ejb.bmp.BMPLocalWrapperPolicy`

All Implemented Interfaces:
  java.io.Serializable, WrapperPolicy

public class BMPLocalWrapperPolicy
extends BMPWrapperPolicy

PUBLIC:

Purpose: Allow for EntityBean descriptors to store information about the bean properties.

BMPLocalWrapperPolicy should be used for local beans rather than remote beans.

See Also:
  Serialized Form

Constructor Summary
`BMPLocalWrapperPolicy(java.lang.String homeLookUpName, java.lang.Class homeInterfaceClass, java.lang.Class primaryKeyClass, java.lang.Class interfaceClass, java.util.Hashtable contextProperties)` PUBLIC: This constructor creates a Wrapper policy for a particular bean class

Method Summary
`java.lang.Object` | `lookupWrapperForBean(java.lang.Object bean, java.lang.Object primaryKeyObject, Session session)` Return the remote from the home by primary key.

Methods inherited from class oracle.toplink.ejb.bmp.BMPWrapperPolicy
`checkForNonCustomPrimaryKey, wrapObject`

Methods inherited from class oracle.toplink.ejb.EJBWrapperPolicy
`getHomeInterface, getHomeName, getPrimaryKeyClass, getRemoteInterface, hasCustomPrimaryKey, isTraversable, setHasCustomPrimaryKey, setHomeInterface, setHomeName, setPrimaryKeyClass, setRemoteInterface, unwrapObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BMPLocalWrapperPolicy

    public BMPLocalWrapperPolicy(java.lang.String homeLookUpName,
                                 java.lang.Class homeInterfaceClass,
                                 java.lang.Class primaryKeyClass,
                                 java.lang.Class interfaceClass,
                                 java.util.Hashtable contextProperties)
                          throws ValidationException

  PUBLIC: This constructor creates a Wrapper policy for a particular bean class
Parameters:
  `homeLookUpName` - java.lang.String
  `homeInterfaceClass` - java.lang.String
  `interfaceClass` - java.lang.Class

Method Detail

### lookupWrapperForBean

    public java.lang.Object lookupWrapperForBean(java.lang.Object bean,
                                                 java.lang.Object primaryKeyObject,
                                                 Session session)

  Return the remote from the home by primary key. Validate inheritance for the object.
  Overrides:
    `lookupWrapperForBean` in class `BMPWrapperPolicy`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD